<template>
<div>
    <el-carousel
        :autoplay="true"
        indicator-position="outside"
        arrow="never"
        trigger="click"
        class="pam-home-carousel"
    >
        <el-carousel-item class="banner-img">
            <div class="text--center mt-30 banner-info">
                <h1 class="banner-title mb-10">個人化媒合頂尖顧問</h1>
                <p class="banner-txt text--PRIMARY_WHITE">您的聲音，由我們來傾聽。</p>
                <p class="banner-txt text--PRIMARY_WHITE">讓我們幫您快速找到合適您的顧問，</p>
                <p class="banner-txt text--PRIMARY_WHITE">解決保險大小煩惱。事不宜遲，立刻行動。</p>
            </div>
        </el-carousel-item>
    </el-carousel>
</div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

@Component
export default class UiCarousel extends Vue {

}
</script>

<style lang="scss" scoped>
.banner-img {
    width: 100%;
    height: 100%;
    background-image: url('~/assets/images/index_banner_mob.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom;
}

.banner-info {
    .banner-title {
        @extend .title;
    }

    .banner-txt {
        @extend .smTxt_bold;
        line-height: 21px;
    }
}

@media (min-width: 768px) {
    .banner-img {
        background-image: url('~/assets/images/index_banner_web.svg');
    }
}

@include desktop {
    .banner-info {
        .banner-title {
            font-size: 40px;
        }

        .banner-txt {
            font-size: 18px;
            line-height: 24px;
        }
    }
}

</style>